@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

* {
  box-sizing: border-box;
}
html,
body {
  font-family: "Roboto", sans-serif;
  padding: 0;
  margin: 0;
  font-size: 16px;
  min-height: 100vh;
  background: #003115;
  background: url(./images/bgbg.jpg) no-repeat center center;
  background-size: cover;
}
p {
  margin: 0;
}
a {
  text-decoration: none;
}
img {
  max-width: 100%;
}
.mobile-design {
  display: none;
}
.show_mob {
    display: none;
}
.flex {
  display: flex;
  justify-content: center;
  align-items: center;
}

.header {
  width: 100%;
  height: 65px;
  padding: 10px 10px;
  background: #008251;
}
.header img {
  height: 100%;
}
.main {
  max-width: 1300px;
  width: 100%;
  margin: 0 auto;
  padding: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.box-contents {
  position: relative;
  margin: 10px 0;
  padding: 10px 30px;
  align-items: flex-start;
  border-radius: 20px;
  background: yellow;
  background: rgba(0, 0, 0, 0.2);
  backdrop-filter: blur(5px);
  color: #daffef;
  font-weight: 100;
  border: 4px solid #1f3a2a;
  /* border-top: 4px solid white; */
}
.pcomon {
  font-size: 18px;
  font-weight: 100;
  margin: 30px 0;
  text-align: justify;
}
.pcomon span {
    color : yellow;
}
.bc-left {
  flex-basis: 55%;
  padding: 10px;
}
.avatar {
  justify-content: flex-start;
}
.avatar img {
  margin-right: 10px;
}
.avatar span {
  font-size: 30px;
  font-weight: 600;
}
.links {
  flex-wrap: wrap;
}
.links a {
  font-family: "Montserrat", sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 140px;
  height: 40px;
  background: #f6b101;
  border-radius: 5px;
  margin: 5px;
  box-shadow: 0 2px 4px 2px #866000;
  transition: all 200ms ease-in-out;
  border: none;
  border-bottom: 4px solid #ffde38;
  color: #340802;
  text-transform: uppercase;
  font-weight: 900;
  font-size: 20px;
}

.supports a {
  transition: all 200ms ease-in-out;
}
.links a:hover,
.supports a:hover {
  transform: scale(1.05) !important;
}
.bc-right {
  flex-basis: 45%;
  padding: 10px;
}
.design {
  transform: translateY(-30px);
  max-height: 430px;
}
.supports > a {
  margin: 0 10px;
}

footer {
  width: 100%;
  display: flex;
  justify-content: space-between;
  padding-top: 10px;
}
.ft-sponsor {
  flex: 1;
  justify-content: space-around;
  padding-right: 30px;
}
.ft-sponsor > div {
  margin: 0 15px;
}
.ft-title {
  color: #fee71b;
  text-transform: capitalize;
}
.ft-logos {
  margin-top: 10px;
}
.ft-logos img {
  margin: 0 10px;
}
.ft-sponsor img {
  transition: all 300ms ease;
}

@media (max-width: 1024px) {
  .box-contents.flex {
    flex-direction: column;
    padding: 10px;
  }
  /*.design {*/
  /*  display: none;*/
  /*}*/
  .mobile-design {
    display: block;
    transform: translateY(-10px);
  }
  .flex.ft-sponsor {
    flex-wrap: wrap;
    justify-content: center;
  }
  .flex.ft-sponsor > div:last-child {
    margin-top: 20px;
  }
  .bc-left,
  .bc-right {
    width: 100%;
    flex-basis: 100%;
  }
  .hide_mob{
      display:none;
  }
  
  .show_mob{
      display:block;
  }
}
  @media (max-width: 768px) {
    .avatar span {
      font-size: 20px;
    }
    .pcomon {
      font-size: 15px;
    }
  }




/* For Modal */
#modal-contacts {
  display: none;
  position: fixed;
  left: 0;
  top: 0;
  bottom: 0;
  right: 0;
  z-index: 9;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transition: all 300ms ease;
  pointer-events: none;
}

.md-overlay {
  position: fixed;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
  backdrop-filter: blur(10px);
}

.modal-wrapper {
  position: relative;
  max-width: 800px;
  margin: 0 auto;
  height: auto;
  width: 90%;
}

.md-body {
  position: relative;
  width: 100%;
  padding: 15px;
  border-radius: 8px;
  opacity: 0;
  transform: translateY(-20px);
  transition: all 300ms ease;
  transition-delay: 500ms;
  display: flex !important;
  justify-content: space-between;
  flex-wrap: nowrap;
}

.md-item {
  text-align: center;
  margin: 15px 0;
  padding: 0 20px;
  cursor: pointer;
}

  .md-item img {
      margin-bottom: 1px;
      transition: all 300ms ease;
      max-height: 100px;
  }

.md-bouncing {
  width: fit-content;
  margin: 0 auto;
}

  .md-bouncing p {
      text-transform: capitalize;
      color: #fff;
  }

  .md-bouncing.hovered img {
      animation: hoverItem 500ms ease forwards;
  }

  .md-bouncing.hovered p {
      text-shadow: 0 0 5px #fee71b, 0 0 5px #fee71b, 0 0 2px #fee71b;
  }

  .md-bouncing.UnHovered img {
      animation: unHoverItem 500ms ease forwards;
  }


#modal-contacts.open {
  display: flex;
  opacity: 1;
  pointer-events: all;
}

.md-body.show {
  animation: fadeIn 300ms linear forwards;
}

.md-body.hide {
  animation: fadeOut 300ms linear forwards;
}

.ml-close {
  position: absolute;
  right: -12px;
  top: -12px;
  transition: all 400ms ease;
  -webkit-transition: all 400ms ease;
  color: white;
  text-decoration: none !important;
  width: 24px;
  height: 24px;
  background: #aaaaaa;
  border-radius: 50%;
  text-align: center;
}

  .ml-close > span {
      display: block;
      color: #fff;
      font-size: 16px;
      line-height: 25px;
  }

  .ml-close:hover {
      border-radius: 50%;
      background: #da251d;
  }

      .ml-close:hover span {
          animation: rotateIn ease 1s forwards;
          -webkit-animation: rotateIn ease 1s forwards;
      }

@media (max-width: 768px) {
  .md-body {
      flex-wrap: wrap;
      justify-content: space-around;
  }

  .md-item {
      flex-basis: unset;
      text-align: center;
  }

      .md-item img {
          max-height: 65px;
      }

      .md-item p {
          font-size: 14px;
      }

  .ml-close {
      right: 2px;
      top: -5px;
  }
}

@keyframes fadeIn {
  0% {
      opacity: 0;
      transform: translateY(-20px);
  }

  100% {
      opacity: 1;
      transform: translateY(0px);
  }
}

@keyframes fadeOut {
  0% {
      opacity: 1;
      transform: translateY(0px);
  }

  100% {
      opacity: 0;
  }
}

@keyframes rotateIn {
  0% {
      transform: rotate(0)
  }

  100% {
      transform: rotate(180deg)
  }
}

@keyframes hoverItem {
  0% {
      transform: translateY(0)
  }

  20% {
      transform: translateY(-30px);
  }

  40% {
      transform: translateY(-15px);
  }

  60% {
      transform: translateY(-26px);
  }

  80% {
      transform: translateY(-17px);
  }

  100% {
      transform: translateY(-20px);
  }
}

@keyframes unHoverItem {
  0% {
      transform: translateY(15px)
  }

  20% {
      transform: translateY(-10px);
  }

  40% {
      transform: translateY(10px);
  }

  60% {
      transform: translateY(-5px);
  }

  80% {
      transform: translateY(5px);
  }

  100% {
      transform: translateY(0px);
  }
}